
#include <afxwin.h>
#include "stdafx.h"

#include "Halo.h"

CmojeAplikace mojeAplikace;

/////////////////////////////////////////////////////////////////////////
// lensk funkce tdy CmojeAplikace

BOOL CmojeAplikace::InitInstance ()
{
    m_pMainWnd = new CHlavniOkno;
    m_pMainWnd->ShowWindow (m_nCmdShow);
    m_pMainWnd->UpdateWindow ();
    return TRUE;
}


/////////////////////////////////////////////////////////////////////////
// mapovn zprv a lensk funkce tdy CHlavniOkno

BEGIN_MESSAGE_MAP (CHlavniOkno, CFrameWnd)
  ON_WM_PAINT ()
	// mapovani zpravy WM_CREATE na volani metody OnCreate
	ON_WM_CREATE()
	// mapovani zpravy BN_CLICKED od tlacitka 1 na metodu OnTlacitkoClicked
	ON_BN_CLICKED(1, OnTlacitkoClicked)
END_MESSAGE_MAP ()

CHlavniOkno::CHlavniOkno ()
{
    Create (NULL, _T ("Pozdrav"));
}

int CHlavniOkno::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	// inicializace tlacitka
	// vytvoreni obdelniku, ve kterem tlacitko bude
	CRect tlac_obd(5, 5, 200, 50);
	// naplneni textem, flagy (WS_CHILD vzdy pro ovladaci prvky),
	// vytvorenym obdelnikem a odkazem na rodicovske okno (to je this)
	// a rekneme mu, jake ma cislo (ID)
	m_tlacitko.Create(_T("Zmackni me"), WS_CHILD | WS_VISIBLE | WS_TABSTOP,
		tlac_obd, this, 1);

	return 0;
}

void CHlavniOkno::OnPaint ()
{
    CPaintDC dc (this);
    CRect rect;
    GetClientRect (&rect);

    dc.DrawText (_T ("Zdrav vs MFC"), -1, &rect,
        DT_SINGLELINE | DT_CENTER | DT_VCENTER);
}

// obsluha zpravy, ze bylo stisknuto tlacitko
void CHlavniOkno::OnTlacitkoClicked()
{
	// vyskoci okenko  s textem "Tlacitko stisknuto" s bublinkou "i"
	MessageBox(_T("Tlacitko stisknuto"), _T("Informace"), MB_OK | MB_ICONINFORMATION);
}
